# Install `v1.1.1` :candy:

If you're on Mac OS X, **upgrade** to the latest version with:

```sh
$ brew upgrade scalacenter/bloop/bloop
```

Otherwise, run:

```
$ curl -L https://github.com/scalacenter/bloop/releases/download/v1.1.2/install.py | python
```

Read the complete installation instructions in our [Installation page][installation instructions].

## Highlights :books:

The v1.1.2 release is mostly a bugfix release fixing some installation problems.

### Fixes in installation

1. Configure a scoop-based installation for Windows PowerShell users.
1. Improve the ergonomics of Windows CMD users.
1. Fix several bugs with the installation script and the nailgun script.
1. Fix a bug in the build when running gradle in Windows.
1. Improve the UX of the installation page by persisting the choices to the session storage.

Check the PR introducing these changes [here](https://github.com/scalacenter/bloop/pull/755).

### Handling recursive dependencies gracefully

See scalameta/metals#396 for the issue that triggered work on this area. Even
if recursive dependencies is a fatal error for bloop, we still handle
gracefully and connect successfully during a bsp connection. Builds that have
problems will get:

1. An empty response to `workspace/buildTargets`.
1. A `build/showMessage` per every error found.

## Contributors :busts_in_silhouette:

According to `git shortlog -sn --no-merges v1.1.1..v1.1.2`, 1 people contributed to this
`v1.1.2` release: Jorge Vicente Cantero.

[installation instructions]: https://scalacenter.github.io/bloop/setup
