# bloop `v1.3.1`

Bloop is a [build server and CLI tool for the Scala programming
language](https://github.com/scalacenter/bloop) developed by the Scala
Center.

Bloop `v1.3.1` is a bugfix release for `v1.3.0`.

## Upgrade guide :inbox_tray:

These are **only** the upgrade steps. If you don't have bloop installed, you
must read the [installation instructions][] instead.

If you're on macOS, **upgrade** to the latest version with:

```sh
$ brew upgrade scalacenter/bloop/bloop
$ brew services restart bloop # Note a restart is required in case a server still runs!
```

If you're on Windows using `scoop`, **upgrade** to the latest version with:

```sh
$ scoop upgrade bloop
$ bloop ng-stop
$ bloop server # in a long-running terminal session
```

If you're on Arch Linux, **upgrade** to the latest version with:

```sh
$ rm -rf ~/.bloop
$ yaourt -S bloop
$ systemctl --user start bloop
```

Otherwise, use the generic installation method:

```
$ curl -L https://github.com/scalacenter/bloop/releases/download/v1.3.1/install.py | python
$ bloop ng-stop
$ systemctl --user start bloop # or similar way to run server in a long-running session
```

Read the complete installation instructions in our [Installation page][installation instructions].

## Fixed Ammonite integration in CLI client

`v1.3.0` added an Ammonite integration in Bloop. Every time `bloop
console` is run, bloop compiles the project and then creates an Ammonite REPL
session. This integration required the cooperation of the nailgun script that
ended up misfunctioning due to a `git revert` error. The bug would print the
Ammonite command to run but would not actually run it.

A workaround would be to run `sh -c $(bloop console $PROJECT)`, however
`v1.3.1` fixes the CLI client so that this workaround is no longer needed.

## Fixed directory resource leak

`v1.3.0` had a piece of code listing directories via `Files.list()` that
ended up not freeing up open file pointers. Over a long bsp session, these
open file pointers would add up and eventually lead to fatal exceptions in
systems such as macOS.

`v1.3.1` fixes that by closing the resources opened by `Files.list()`.

## Contributors :busts_in_silhouette:

According to `git shortlog -sn --no-merges v1.2.4..v1.2.5`, 1 people
contributed to this `v1.3.1` release: Jorge Vicente Cantero.

[gitter]: https://gitter.im/scalacenter/bloop
[installation instructions]: https://scalacenter.github.io/bloop/setup
